﻿using System;

namespace Tools
{
	public class Utils
	{
		public static string ConvertLatinToCyrillic(string latin)
		{
			string c = "";
			string par = "";
			string slovo = "";
			int i;
			for (i=0; i<latin.Length; i++)
			{
				if (i<latin.Length-1)
				{
					par = latin.Substring(i, 2);
				}
				else
				{
					par = latin.Substring(i, 1);
				}
				switch (par)
				{
					case "lj": c += "љ"; i++; break;	// lj
					case "Lj": c += "Љ"; i++; break;
					case "LJ": c += "Љ"; i++; break;
					case "lJ": c += "Љ"; i++; break;
					case "nj": c += "њ"; i++; break;	// nj
					case "Nj": c += "Њ"; i++; break;
					case "NJ": c += "Њ"; i++; break;
					case "nJ": c += "Њ"; i++; break;
					case "dž": c += "џ"; i++; break;	// dž
					case "Dž": c += "Џ"; i++; break;
					case "DŽ": c += "Џ"; i++; break;
					case "dŽ": c += "Џ"; i++; break;
					default:
						slovo = par.Substring(0,1);
					switch (slovo)
					{
						case "a": c += "а"; break;
						case "A": c += "А"; break;
						case "b": c += "б"; break;
						case "B": c += "Б"; break;
						case "c": c += "ц"; break;
						case "C": c += "Ц"; break;
						case "č": c += "ч"; break;
						case "Č": c += "Ч"; break;
						case "ć": c += "ћ"; break;
						case "Ć": c += "Ћ"; break;
						case "d": c += "д"; break;
						case "D": c += "Д"; break;
						case "đ": c += "ђ"; break;
						case "Đ": c += "Ђ"; break;
						case "e": c += "е"; break;
						case "E": c += "Е"; break;
						case "f": c += "ф"; break;
						case "F": c += "Ф"; break;
						case "g": c += "г"; break;
						case "G": c += "Г"; break;
						case "h": c += "х"; break;
						case "H": c += "Х"; break;
						case "i": c += "и"; break;
						case "I": c += "И"; break;
						case "j": c += "ј"; break;
						case "J": c += "Ј"; break;
						case "k": c += "к"; break;
						case "K": c += "К"; break;
						case "l": c += "л"; break;
						case "L": c += "Л"; break;
						case "m": c += "м"; break;
						case "M": c += "М"; break;
						case "n": c += "н"; break;
						case "N": c += "Н"; break;
						case "o": c += "о"; break;
						case "O": c += "О"; break;
						case "p": c += "п"; break;
						case "P": c += "П"; break;
						case "r": c += "р"; break;
						case "R": c += "Р"; break;
						case "s": c += "с"; break;
						case "S": c += "С"; break;
						case "š": c += "ш"; break;
						case "Š": c += "Ш"; break;
						case "t": c += "т"; break;
						case "T": c += "Т"; break;
						case "u": c += "у"; break;
						case "U": c += "У"; break;
						case "v": c += "в"; break;
						case "V": c += "В"; break;
						case "z": c += "з"; break;
						case "Z": c += "З"; break;
						case "ž": c += "ж"; break;
						case "Ž": c += "Ж"; break;
						default:
							c += slovo;
							break;
					}
						break;
				}
			}
			return c;
		}
	}
}
